%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-nibbles
Version:	3.38.3
Release:	%mkrel 1
Summary:	GNOME Nibbles game
License:	GPLv2+ and GFDL
Group:		Games/Arcade
URL:		https://wiki.gnome.org/Nibbles
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#
BuildRequires:	meson
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	vala
# For help
Requires:	yelp

%description
Pilot a worm around a maze trying to collect diamonds and at the same time
avoiding the walls and yourself. With each diamond your worm grows longer and
navigation becomes more and more difficult. Playable by up to four people.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Nibbles.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Nibbles.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Nibbles.service
%{_datadir}/%{name}
%{_iconsdir}/*/*/apps/*.*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Nibbles.appdata.xml



%changelog
* Tue May 02 2023 daviddavid <daviddavid> 3.38.3-1.mga9
+ Revision: 1955621
- new version 3.38.3
- remove merged upstream patches

* Mon Nov 07 2022 ghibo <ghibo> 3.38.2-3.mga9
+ Revision: 1904279
- Merge patches from debian to fix building
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Nov 01 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1641201
- new version 3.38.2

* Mon Oct 05 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632270
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625380
- new version 3.38.0

* Sat Aug 08 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1611996
- new version 3.37.90

* Thu Jul 23 2020 ovitters <ovitters> 3.37.0-1.mga8
+ Revision: 1608149
- new version 3.37.0

* Sat Jul 04 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1601847
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554708
- new version 3.36.0

* Wed Mar 04 2020 daviddavid <daviddavid> 3.35.90-1.mga8
+ Revision: 1553740
- new version 3.35.90

* Tue Feb 18 2020 umeabot <umeabot> 3.34.2-2.mga8
+ Revision: 1541990
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1475858
- new version 3.34.2

* Tue Oct 08 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450479
- new version 3.34.1

* Thu Sep 12 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1440004
- new version 3.34.0

* Wed Aug 07 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427837
- BR vala
- switch to meson
- fix BR
- fix filelist
+ ovitters <ovitters>
- new version 3.33.90

* Tue Aug 06 2019 ovitters <ovitters> 3.32.0-1.mga8
+ Revision: 1427610
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.3-1.mga7
+ Revision: 1373057
- new version 3.31.3

* Sun Sep 23 2018 umeabot <umeabot> 3.24.1-2.mga7
+ Revision: 1297967
- Mageia 7 Mass Rebuild

* Wed Aug 22 2018 ovitters <ovitters> 3.24.1-1.mga7
+ Revision: 1253364
- new version 3.24.1

* Thu Feb 22 2018 ovitters <ovitters> 3.24.0-2.mga7
+ Revision: 1204066
- rebuild for libgnome-games-support

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094053
- new version 3.24.0

* Tue Nov 08 2016 ovitters <ovitters> 3.22.2.2-1.mga6
+ Revision: 1065859
- new version 3.22.2.2

* Tue Nov 08 2016 ovitters <ovitters> 3.22.2.1-1.mga6
+ Revision: 1065839
- new version 3.22.2.1

* Tue Nov 08 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065789
- new version 3.22.2

* Tue Oct 11 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060123
- new version 3.22.1

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055229
- new version 3.22.0

* Mon May 09 2016 ovitters <ovitters> 3.20.2.1-1.mga6
+ Revision: 1011236
- new version 3.20.2.1

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000178
- new version 3.20.1

* Wed Mar 23 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994506
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990636
- new version 3.19.92

* Sun Feb 28 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 980553
- new version 3.19.91

* Wed Feb 17 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 963241
- new version 3.19.90
- new version 3.19.4
- new version 3.19.3
- new version 3.19.2
- new version 3.19.1

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900116
- new version 3.18.2

* Sun Oct 11 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889809
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883089
- new release

* Wed Aug 12 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 864116
- new version 3.17.90

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838747
- new version 3.16.1

* Tue Feb 17 2015 wally <wally> 3.14.1-3.mga5
+ Revision: 815341
- require yelp for showing help

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 747000
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738536
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719217
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679741
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676951
- new version 3.13.92

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670848
- new version 3.13.91

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665383
- new version 3.13.90

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622221
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613932
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607774
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604301
- new version 3.11.92

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90.1-1.mga5
+ Revision: 593204
- new version 3.11.90.1

* Sat Feb 15 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 592412
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 583018
- new version 3.11.5

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550164
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541369
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495778
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483779
- new version 3.10.0

* Sun Sep 15 2013 dams <dams> 3.9.92-1.mga4
+ Revision: 479798
- new version 3.9.92
+ fwang <fwang>
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 440860
- imported package gnome-nibbles

